
#ifndef _DEFS_H_
#define _DEFS_H_

#ifndef NULL
#ifdef __cplusplus
#define NULL	0
#else
#define NULL	((void *)0)
#endif
#endif

#ifndef SETSIZE
#define SETSIZE(pSize,dx,dy) (pSize)->cx=(dx);(pSize)->cy=(dy);
#endif

#ifndef ABS
#define ABS(x) ( (x) >= 0 ? (x) : -(x) )
#endif

#ifndef BOOL
#define BOOL int
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE (!(FALSE))
#endif

#ifndef NULL
#define NULL 0
#endif

#ifndef RELEASE
#define RELEASE(x) if (x != NULL) { x->Release(); x = NULL; }
#endif

#ifndef SGN
#define SGN(x) ((x) > 0 ? 1 : -1)
#endif

#ifndef MAX
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#endif

#ifndef MIN
#define MIN(a, b) ((a) < (b) ? (a) : (b))
#endif

#ifndef M_PI
#define M_PI 3.14159265359
#endif

#ifndef TORAD
#define TORAD(x) (((x) / 180.0) * M_PI)
#endif

#ifndef TODEG
#define TODEG(x) (((x) / M_PI) * 180.0)
#endif

#endif
